Bug 1349148 - [abrt] ibus: bus_panel_proxy_focus_in(): ibus-daemon killed by SIGABRT
Summary: [abrt] ibus: bus_panel_proxy_focus_in(): ibus-daemon killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6de5b09f5466b9eda39f0e3e5f8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 19:26 UTC by Jonathan Briggs
Modified: 2017-08-01 21:55 UTC (History)
4 users (show)

Fixed In Version: ibus-1.5.16-6.fc26 ibus-1.5.14-6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 06:25:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.84 KB, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: cgroup (259 bytes, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: core_backtrace (5.29 KB, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: dso_list (1.68 KB, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: environ (752 bytes, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: maps (9.55 KB, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: mountinfo (3.88 KB, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: open_fds (1.60 KB, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details
File: var_log_messages (324 bytes, text/plain)
2016-06-22 19:26 UTC, Jonathan Briggs
no flags Details

Description Jonathan Briggs 2016-06-22 19:26:03 UTC
Description of problem:
I logged in after updating to Fedora 24 from 23 using dnf system-upgrade.

Version-Release number of selected component:
ibus-1.5.13-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/ibus-daemon -r --xim
crash_function: bus_panel_proxy_focus_in
executable:     /usr/bin/ibus-daemon
global_pid:     31704
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #4 bus_panel_proxy_focus_in at panelproxy.c:700
 #5 _dbus_name_owner_changed_cb at ibusimpl.c:358
 #10 bus_name_service_set_primary_owner at dbusimpl.c:368
 #11 bus_dbus_impl_request_name at dbusimpl.c:1076
 #12 call_in_idle_cb at gdbusconnection.c:4832
 #17 bus_server_run at server.c:143

Comment 1 Jonathan Briggs 2016-06-22 19:26:08 UTC
Created attachment 1171058 [details]
File: backtrace

Comment 2 Jonathan Briggs 2016-06-22 19:26:10 UTC
Created attachment 1171059 [details]
File: cgroup

Comment 3 Jonathan Briggs 2016-06-22 19:26:12 UTC
Created attachment 1171060 [details]
File: core_backtrace

Comment 4 Jonathan Briggs 2016-06-22 19:26:15 UTC
Created attachment 1171061 [details]
File: dso_list

Comment 5 Jonathan Briggs 2016-06-22 19:26:17 UTC
Created attachment 1171062 [details]
File: environ

Comment 6 Jonathan Briggs 2016-06-22 19:26:19 UTC
Created attachment 1171063 [details]
File: limits

Comment 7 Jonathan Briggs 2016-06-22 19:26:22 UTC
Created attachment 1171064 [details]
File: maps

Comment 8 Jonathan Briggs 2016-06-22 19:26:25 UTC
Created attachment 1171065 [details]
File: mountinfo

Comment 9 Jonathan Briggs 2016-06-22 19:26:27 UTC
Created attachment 1171066 [details]
File: namespaces

Comment 10 Jonathan Briggs 2016-06-22 19:26:31 UTC
Created attachment 1171067 [details]
File: open_fds

Comment 11 Jonathan Briggs 2016-06-22 19:26:34 UTC
Created attachment 1171068 [details]
File: proc_pid_status

Comment 12 Jonathan Briggs 2016-06-22 19:26:38 UTC
Created attachment 1171069 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-07-25 21:13:20 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 fujiwara 2017-07-27 06:57:52 UTC
I added an enhancement for this bug.
Let's see if this bug is fixed in f25 or later.

Comment 15 Fedora Update System 2017-07-27 07:53:05 UTC
ibus-1.5.14-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 16 Fedora Update System 2017-07-27 07:53:30 UTC
ibus-1.5.16-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 17 Fedora Update System 2017-07-27 23:23:53 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 18 Fedora Update System 2017-07-28 01:53:09 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 19 Fedora Update System 2017-07-31 06:25:18 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-08-01 21:55:54 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.